#%define BuildRoot /tmp/%{name}-%{version}
%define __spec_install_post %{nil}

Summary: A web-based user account administration interface
Name: usermin
Version: 1.080
Release: 1AX
Provides: %{name}-%{version}
Requires: jcode.pl
AutoReq: 0
Prereq: /bin/sh /usr/bin/perl sh-utils perl-Net-SSLeay
Copyright: Freeware
Group: System/Tools
Source: http://www.webmin.com/download/%{name}-%{version}.tar.gz

#ja_JP.euc files for some modules
Source100: usermin-miracle-at-ja_JP.euc
Source101: usermin-miracle-changepass-ja_JP.euc
Source102: usermin-miracle-cshrc-ja_JP.euc
Source103: usermin-miracle-forward-ja_JP.euc
Source104: usermin-miracle-language-ja_JP.euc
Source105: usermin-miracle-plan-ja_JP.euc
Source106: usermin-miracle-theme-ja_JP.euc
Source107: usermin-miracle-miracle.wbt.gz

Patch100: usermin-1.080-os_list.txt.patch
Patch101: usermin-miracle-at-module.info.patch
Patch102: usermin-1.080-cron-module.info.patch
Patch103: usermin-1.080-fetchmail-module.info.patch
Patch104: usermin-1.080-mailbox-module.info.patch
Patch105: usermin-1.080-plan-module.info.patch
Patch106: usermin-1.080-quota-module.info.patch
Patch107: usermin-1.080-ssh-module.info.patch
Patch108: usermin-miracle-setup.sh.patch

BuildRoot: /tmp/%{name}-%{version}
BuildArchitectures: noarch
%description
A web-based user account administration interface for Unix systems.

After installation, enter the URL https://localhost:20000/ into your
browser and login as any user on your system.

%prep
%setup -a 107

%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1

%build
(find . -name '*.cgi' ; find . -name '*.pl') | perl perlpath.pl /usr/bin/perl -
rm -f mount/freebsd-mounts-*
rm -f mount/openbsd-mounts-*
#chmod -R og-rxw .

%install
mkdir -p %{buildroot}/usr/libexec/usermin
mkdir -p %{buildroot}/etc/sysconfig/daemons
mkdir -p %{buildroot}/etc/rc.d/init.d
mkdir -p %{buildroot}/etc/pam.d
cp -rp * %{buildroot}/usr/libexec/usermin
cp usermin-daemon %{buildroot}/etc/sysconfig/daemons/usermin
cp usermin-init %{buildroot}/etc/rc.d/init.d/usermin
cp usermin-pam %{buildroot}/etc/pam.d/usermin
#ln -s /etc/rc.d/init.d/usermin %{buildroot}/etc/rc.d/rc2.d/S99usermin
#ln -s /etc/rc.d/init.d/usermin %{buildroot}/etc/rc.d/rc3.d/S99usermin
#ln -s /etc/rc.d/init.d/usermin %{buildroot}/etc/rc.d/rc5.d/S99usermin
#ln -s /etc/rc.d/init.d/usermin %{buildroot}/etc/rc.d/rc2.d/K10usermin
#ln -s /etc/rc.d/init.d/usermin %{buildroot}/etc/rc.d/rc3.d/K10usermin
#ln -s /etc/rc.d/init.d/usermin %{buildroot}/etc/rc.d/rc5.d/K10usermin
echo rpm >%{buildroot}/usr/libexec/usermin/install-type

#Add ja_JP.euc files
install -m 644 %{SOURCE100} %{buildroot}/usr/libexec/usermin/at/lang/ja_JP.euc
install -m 644 %{SOURCE101} %{buildroot}/usr/libexec/usermin/changepass/lang/ja_JP.euc
install -m 644 %{SOURCE102} %{buildroot}/usr/libexec/usermin/cshrc/lang/ja_JP.euc
install -m 644 %{SOURCE103} %{buildroot}/usr/libexec/usermin/forward/lang/ja_JP.euc
install -m 644 %{SOURCE104} %{buildroot}/usr/libexec/usermin/language/lang/ja_JP.euc
install -m 644 %{SOURCE105} %{buildroot}/usr/libexec/usermin/plan/lang/ja_JP.euc
install -m 644 %{SOURCE106} %{buildroot}/usr/libexec/usermin/theme/lang/ja_JP.euc

%clean
#%{rmDESTDIR}
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/libexec/usermin
/etc/sysconfig/daemons/usermin
/etc/rc.d/init.d/usermin
#/etc/rc.d/rc2.d/S99usermin
#/etc/rc.d/rc3.d/S99usermin
#/etc/rc.d/rc5.d/S99usermin
#/etc/rc.d/rc2.d/K10usermin
#/etc/rc.d/rc3.d/K10usermin
#/etc/rc.d/rc5.d/K10usermin
/etc/pam.d/usermin

%post
/sbin/chkconfig --add usermin
inetd=`service usermin status >/dev/null 2>&1`
if [ "$1" != 1 ]; then
	# Upgrading the RPM, so stop the old usermin properly
	if [ "$inetd" = 0 ]; then
		/sbin/service usermin stop >/dev/null 2>&1
	fi
else
	/sbin/chkconfig usermin off
fi

perl >/tmp/$$.check <<EOD;
if (\`cat /etc/asianux-release 2>&1\` =~ /1\\.0/) {
	print "oscheck='Asianux 1.0'\\n";
	}

EOD
. /tmp/$$.check
rm -f /tmp/$$.check
if [ ! -r /etc/usermin/config ]; then
	if [ "$oscheck" = "" ]; then
		echo Unabled to identify operating system
		exit 2
	fi
fi

config_dir=/etc/usermin
var_dir=/var/usermin
perl=/usr/bin/perl
autoos=1
port=20000
host=`hostname`
ssl=1
atboot=1
nochown=1
autothird=1
noperlpath=1
nouninstall=1
nostart=1
allow=localhost

#save config files made by setup.sh (avoid upgrading config files)
if [ -r $config_dir/config ]; then
        /bin/mv $config_dir/config $config_dir/config.um_rpmsave
fi
if [ -r $config_dir/miniserv.conf ]; then
        /bin/mv $config_dir/miniserv.conf $config_dir/miniserv.conf.um_rpmsave
fi

export config_dir var_dir perl autoos port host ssl nochown autothird noperlpath nouninstall nostart allow
/usr/libexec/usermin/setup.sh >/tmp/usermin-setup.out 2>&1
rm -f /var/lock/subsys/usermin
cat >/etc/usermin/uninstall.sh <<EOFF
#!/bin/sh
printf "Are you sure you want to uninstall Usermin? (y/n) : "
read answer
printf "\n"
if [ "\$answer" = "y" ]; then
	echo "Removing usermin RPM .."
	rpm -e --nodeps usermin
	echo "Done!"
fi
EOFF
chmod +x /etc/usermin/uninstall.sh
echo "Usermin install complete. You can login to https://localhost:20000/"
echo "as any user on your system after starting usermin service."
if [ "$1" != 1 ]; then
	# Upgrading the RPM, so start the new webmin properly
	if [ "$inetd" = "0" ]; then
		/sbin/service usermin start >/dev/null 2>&1
	fi
fi

%preun
echo "Preuninstall : $1"
if [ "$1" = 0 ]; then
	grep root=/usr/libexec/usermin /etc/usermin/miniserv.conf >/dev/null 2>&1
	if [ "$?" = 0 ]; then
		# RPM is being removed, and no new version of usermin
		# has taken it's place. Stop the server
		/etc/rc.d/init.d/usermin stop >/dev/null 2>&1
		/sbin/chkconfig --del usermin
	fi
fi

%postun
echo "Postuninstall : $1"
if [ "$1" = 0 ]; then
	grep root=/usr/libexec/usermin /etc/usermin/miniserv.conf >/dev/null 2>&1
	if [ "$?" = 0 ]; then
		# RPM is being removed, and no new version of usermin
		# has taken it's place. Delete the config files
		rm -rf /etc/usermin /var/usermin
	fi
fi

%changelog
* Wed Jun 16 2004 Shiro Yamada <shiro@miraclelinux.com> 1.080-1AX
- upgraded to 1.080 for a security fix

* Tue May 18 2004 Shiro Yamada <shiro@miraclelinux.com> 1.070-2AX
- cleaning up post section
- only start usermin daemon when upgrading

* Thu Apr  8 2004 Shiro Yamada <shiro@miraclelinux.com> usermin-1.070-1AX
- upgrading the code base to 1.070

* Sat Jun 29 2002 Yuji Oishi <yoishi@miraclelinux.com>
- check os type by only /etc/miraclelinux-release, because /etc/issue and
  /etc/miraclelinux-release are different before rebooting after updating

* Tue Jun 25 2002 Yuji Oishi <yoishi@miraclelinux.com>
- change miracle/images/*.gif to new version.

* Thu Jun 20 2002 Yuji Oishi <yoishi@miraclelinux.com>
- add desc_ja_JP.euc in module.info files of (at, changepass, cron, cshrc,
  fetchmail, forward, gnupg, language, mailbox, plan, proc, quota, ssh, theme) 
- add "miracle" module for MIRACLE LINUX THEME
- change default lang to ja_JP.euc, default theme to miracle, and so on.
- delete making link in /etc/rc.d/rc*.d, execute chkconfig instead.

* Sat Jun 15 2002 Yuji Oishi <yoishi@miraclelinux.com>
- add Miracle Linux 2.0, 2.1 and RHAS 2.1 for os check in spec file and
  os_list.txt

* Sat Jun 8 2002 Yuji Oishi <yoishi@miraclelinux.com>
- add ja_JP.euc files for at, changepass, cshrc, forward, language, plan, theme.
- change ssl=0 to ssl=1.
- add "allow=localhost" to forbid remote access in spec file.
- change the description such as "http://localhost:20000" to "https://...." in
  spec file.
- change "Requires:" from "/bin/sh /usr/bin/perl" to "jcode.pl", also add
  "Prereq: /bin/sh /usr/bin/perl sh-utils perl-Net-SSLeay" in spec file.
- delete Vendor tag.
- save config files(config, miniserv.conf) as *.um_rpmsave when updating
  in spec file
- add miraclelinux-release checking line in spec file.
